Vg — Declarative 2D vector graphics for OCaml
-------------------------------------------------------------------------------
Release 0.8.2

Vg is an OCaml module for declarative 2D vector graphics. In Vg,
images are values that denote functions mapping points of the
cartesian plane to colors. The module provides combinators to define
and compose these values.

Renderers for PDF, SVG, Cairo and the HTML canvas are distributed with the
module. An API allows to implement new renderers.
     
Vg depends only on [Gg][1]. The SVG renderer has no dependency, the
PDF renderer depends on [Uutf][2] and [Otfm][3], the HTML canvas
renderer depends on [js_of_ocaml][4], the Cairo renderer depends on
[cairo2][5]. Vg and its renderers are distributed under the BSD3
license.
     
[1]: http://erratique.ch/software/gg
[2]: http://erratique.ch/software/uutf
[3]: http://erratique.ch/software/otfm
[4]: http://ocsigen.org/js_of_ocaml/ 
[5]: https://forge.ocamlcore.org/projects/cairo/

Home page: http://erratique.ch/software/vg  
Contact: Daniel Bünzli `<daniel.buenzl i@erratique.ch>`


## Installation

Vg can be installed with `opam`:

    opam install vg                               # SVG renderer only
    opam install uutf otfm js_of_ocaml cairo2 vg  # all renderers
    
If you don't use `opam` consult the [`opam`](opam) file for
build instructions and a complete specification of the dependencies.


## Documentation

The documentation and API reference is automatically generated by
`ocamldoc` from the interfaces. It can be consulted [online][6] and
there is a generated version in the `doc` directory of the
distribution.

[6]: http://erratique.ch/software/vg/doc/


## Sample programs and images

A database of sample images can be found in the `db` directory. An
online rendering of the database is available [here][6].

[6]: http://erratique.ch/software/vg/demos/rhtmlc.html

Sample programs are located in the `test` directory of the
distribution. They can be built with:

    ocamlbuild -use-ocamlfind tests.otarget

The resulting binaries are in `_build/test` :

- `min_pdf.native`, minimal example to render an image to a PDF file. 
- `min_svg.native`, minimal example to render an image to an SVG file. 
- `min_htmlc.byte`, minimal example to render with the HTML canvas.
- `rsvg.native`, renders images of the Vg image database to SVG files.
- `rpdf.native`, renders images of the Vg image database to PDF files.
- `rcairo.native`, renders images of the Vg image database with Cairo
   to PDF, PNG, PS or SVG files.
- `rhtmlc.html` and `rhtmlc.byte` can be processed with `js_of_ocaml`,
   the resulting webapp renders images of the Vg image database with
   the HTML canvas, PDF and SVG renderers.   
- `vecho.native`, like echo(1) but produces a PDF file on stdout, the 
  font file can be specified, invoke with `-help` for options. 
- `fglyphs.native`, renders a font's glyphs to a PDF file (without using
  Vg's glyph API).

